{{page-title (capitalize (t "new survey"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new survey")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="add.campaign"}} class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::RowAdd @name="name" as |id|>
        <Input class="form-control input-name" id={{id}} @value={{@model.campaign.name}} placeholder={{capitalize (t "what is the survey name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="article" as |id|>
        <Article::Editor @id={{id}} @value={{this.article}} @onChange={{this.changeArticleValue}} @allowNoHeading={{true}} class="article-with-borders" />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility @id={{id}} @list={{@model.teams}} @value={{@model.campaign.visibility.team}} @onChange={{this.changeTeam}} @areAllShowing={{this.all}} @toggleAll={{this.toggleAll}} />
          {{else}}
            <Input::Select id={{id}} @list={{@model.teams}} @value={{@model.campaign.visibility.team}} @onChange={{this.changeTeam}} />
          {{/if}}
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="add.campaign"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <Input::Button @action={{this.save}} @disabled={{not this.canSubmit}} class="btn btn-primary btn-submit">
          {{capitalize (t "add")}}
        </Input::Button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{else}}
  <LoadingContainer />
{{/if}}